CRONTAB(1)

NUME
crontab - menține fișierele crontab pentru utilizatori individuali

SINOPSIS
crontab [-u utilizator] <fișier | ->
crontab [-T] <fișier | ->
crontab [-u utilizator] <-l | -r | -e> [-i] [-s]
crontab -n [ nume-gazdă ]
crontab -c
crontab -V

DESCRIERE
crontab este programul utilizat pentru a instala un fișier tabel crontab, a elimina sau a lista tabelele existente utilizate pentru a servi demonul cron(8). Fiecare utilizator poate avea propriul crontab și, deși acestea sunt fișiere în /var/spool/, ele nu sunt destinate a fi editate direct. Pentru SELinux în modul MLS, puteți defini mai multe crontab-uri pentru fiecare interval. Pentru mai multe informații, consultați selinux(8).

În această versiune de cron este posibilă utilizarea unui /var/spool/cron partajat, montat în rețea, pe un grup de gazde (cluster) și specificarea faptului că numai una dintre gazde trebuie să execute sarcinile crontab din directorul respectiv la un moment dat. De asemenea, puteți utiliza crontab de pe oricare dintre aceste gazde pentru a edita același set partajat de fișiere crontab, precum și pentru a stabili și interoga ce gazdă trebuie să execute sarcinile crontab.

Programarea sarcinilor cron cu crontab poate fi permisă sau interzisă pentru diferiți utilizatori. În acest scop, utilizați fișierele cron.allow și cron.deny. Dacă fișierul cron.allow există, un utilizator trebuie să fie listat în el pentru a i se permite să utilizeze crontab. Dacă fișierul cron.allow nu există, dar fișierul cron.deny există, atunci un utilizator trebuie să nu fie listat în fișierul cron.deny pentru a putea utiliza crontab. Dacă niciunul dintre aceste fișiere nu există, atunci numai superutilizatorul are voie să utilizeze crontab.

O altă modalitate de a restricționa programarea sarcinilor cron dincolo de crontab este de a utiliza autentificarea PAM în /etc/security/access.conf pentru a configura utilizatorii, cărora li se permite sau nu să utilizeze crontab sau să modifice sarcinile cron ale sistemului în directorul /etc/cron.d/.

Directorul temporar poate fi definit într-o variabilă de mediu. Dacă nu este definit de utilizator, se utilizează directorul /tmp.

Atunci când se listează un crontab pe un terminal, ieșirea va fi colorată, cu excepția cazului în care este activată o variabilă de mediu NO_COLOR.

La editarea sau ștergerea unui crontab, o copie de rezervă a ultimului crontab va fi salvată în $XDG_CACHE_HOME/crontab/crontab.bak sau $XDG_CACHE_HOME/crontab/crontab.<utilizator>.bak dacă se utilizează opțiunea -u. Dacă variabila de mediu XDG_CACHE_HOME nu este definită, se va utiliza în schimb $HOME/.cache.

OPȚIUNI

-u  Specifică numele utilizatorului al cărui crontab trebuie modificat. Dacă această opțiune nu este utilizată, crontab examinează crontab-ul „dvs.", adică crontab-ul persoanei care execută comanda. Dacă nu există un crontab pentru un anumit utilizator, acesta este creat pentru acesta la prima utilizare a comenzii crontab -u sub numele său de utilizator.

-T  Testează sintaxa fișierului crontab fără a-l instala. Odată ce este găsită o problemă, validarea este întreruptă, astfel încât nu se vor returna toate problemele existente la aceeași execuție.

-l  Afișează crontab-ul curent la ieșirea standard.

-r  Elimină crontab-ul curent.

-e  Editează crontab-ul curent folosind editorul specificat de variabilele de mediu VISUAL sau EDITOR. După ce ieșiți din editor, crontab-ul modificat va fi instalat automat.

-i  Această opțiune modifică opțiunea -r pentru a solicita utilizatorului un răspuns „y/Y” înainte de a elimina efectiv crontab-ul.

-s  Adaugă șirul curent al contextului de securitate SELinux ca o valoare MLS_LEVEL la fișierul crontab înainte de editare/înlocuire - a se vedea documentația MLS_LEVEL în crontab(5).

-n  Această opțiune este relevantă numai dacă cron(8) a fost inițiat cu opțiunea -c, pentru a activa suportul pentru clusterizare (grupare de gazde). Este utilizată pentru a stabili gazda din cluster care ar trebui să ruleze sarcinile specificate în fișierele crontab din directorul /var/spool/cron. Dacă se furnizează un nume de gazdă, gazda al cărei nume de gazdă returnat de gethostname(2) corespunde cu numele de gazdă furnizat, va fi selectată pentru a rula ulterior sarcinile cron selectate. Dacă nu există nicio gazdă în cluster care să corespundă cu numele de gazdă furnizat sau dacă specificați în mod explicit un nume de gazdă gol, atunci sarcinile selectate nu vor fi executate deloc. În cazul în care numele de gazdă este omis, se utilizează numele gazdei locale returnat de gethostname(2). Utilizarea acestei opțiuni nu are niciun efect asupra fișierului /etc/crontab și a fișierelor din directorul /etc/cron.d, care sunt întotdeauna rulate și sunt considerate specifice gazdei. Pentru mai multe informații despre suportul de grupare (clustering), consultați cron(8).

-c  Această opțiune este relevantă numai dacă cron(8) a fost inițiat cu opțiunea -c, pentru a activa suportul pentru clusterizare. Este utilizată pentru a interoga ce gazdă din cluster este stabilită în prezent pentru a rula sarcinile de lucru specificate în fișierele crontab din directorul /var/spool/cron , așa cum a fost stabilit cu ajutorul opțiunii -n.

-V  Afișează informațiile despre versiune și iese.

AVERTISMENTE
Fișierele cron.allow și cron.deny nu pot fi utilizate pentru a restricționa executarea sarcinilor cron; ele restricționează doar utilizarea lui crontab. În special, restricționarea accesului la crontab nu are niciun efect asupra unui crontab existent al unui utilizator. Lucrările sale vor continua să fie executate până când crontab-ul este eliminat.

Fișierele cron.allow și cron.deny trebuie să poată fi citite de către utilizatorul care invocă crontab. În caz contrar, acestea sunt tratate ca fiind inexistente.

CONSULTAȚI ȘI
crontab(5), cron(8)

FIȘIERE
/etc/cron.allow
/etc/cron.deny

STANDARDE
Comanda crontab este conformă cu IEEE Std1003.2-1992 („POSIX”) cu o singură excepție: Pentru înlocuirea crontab-ului curent cu date de la intrarea standard, trebuie specificat - în linia de comandă dacă intrarea standard este un TTY (terminal). Această nouă sintaxă de comandă diferă de versiunile anterioare ale Vixie Cron, precum și de sintaxa clasică SVR3.

DIAGNOSTICARE
În cazul în care executați un crontab în care este definită o comandă defectuoasă, apare un mesaj informativ de utilizare.

AUTOR
Paul Vixie (vixie@isc.org)
Colin Dean (colin@colin-dean.org)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.